QGIS Application - Bug report #8111
Plugin manager: Check if the repository file is valid
2013-06-19 12:42 AM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16945
Description

The plugin manager now shows an error, if the domain could not be resolved or other network related errors.

If | enter a random valid and reachable URL which does not contain a repository file it looks as if the repository is being loaded, when in
fact it's not. Also, the HTTP status code is not checked.

It would be nice and spare some people headache (e.g. when trying to load a repo from behind a proxy) if a meaningful error would be
provided.)

Associated revisions

Revision 86bebab3 - 2013-06-25 09:25 PM - Borys Jurgiel

[Plugin Installer] Fix #8111. Better repository error handling.

History

#1 - 2013-06-25 12:27 PM - Borys Jurgiel
- Status changed from Open to Closed

Fixed in changeset commit:"86bebab3cee614acee434edcbadb232ce64b07e2".
